Export Bulk Translation File
Export a bulk translation file from your Vault.
The exported bulk translation file is a CSV editable in any text editor or translation software.
You can request one (1) message type in one (1) language per request.
Learn more about the translation file schema in Vault Help
This request starts an asynchronous job that exports the translation file to your Vault's file staging. You can then download this file with the Download Item Content request.
You must have the Admin: Language: Read permission to export a bulk translation file from Vault.
/api/{version}/messages/{message_type}/language/{lang}/actions/exportHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{message_type} | The message type name: field_labels__sys, system_messages__sys, notification_template_messages__sys, or user_account_messages__sys. |
{lang} | A valid language code value, for example, en. Retrieve available values from the Admin Key (admin_key__sys) field on the Language (language__sys) object. Active and Inactive languages are both valid. |
Request
Section link for Requestcurl -X POST -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v25.2/messages/field_labels__sys/language/en/actions/exportResponse
Section link for Response{
"responseStatus": "SUCCESS",
"data": {
"jobId": "902101",
"url": "/api/v25.2/services/jobs/902101"
}
}Response : Retrieve Job Status
Section link for Response : Retrieve Job Status{
"responseStatus": "SUCCESS",
"data": {
"id": 902101,
"status": "SUCCESS",
"links": [
{
"rel": "self",
"href": "/api/v25.2/services/jobs/902101",
"method": "GET",
"accept": "application/json"
},
{
"rel": "file",
"href": "/api/v25.2/services/file_staging/items/PromoMats_English_Field-Labels_5-29-24_15-34-10.csv",
"method": "GET",
"accept": "application/json"
},
{
"rel": "content",
"href": "/api/v25.2/services/file_staging/items/content/PromoMats_English_Field-Labels_5-29-24_15-34-10.csv",
"method": "GET",
"accept": "application/octet-stream;charset=UTF-8"
}
],
"created_by": 61603,
"created_date": "2024-05-29T21:34:11.000Z",
"run_start_date": "2024-05-29T21:34:11.000Z",
"run_end_date": "2024-05-29T21:34:20.000Z"
}
}Response Details
Section link for Response DetailsOn SUCCESS, the response includes the url and job_id of the job. You can use this to retrieve the status and results of the request.
When the job is complete, the translation files are available on your Vault's file staging.
Retrieving the job status of this completed job provides the href to download the CSV from file staging.